%define	pkgname	libguac-client-vnc
%define	soname	%{pkgname}0
Summary:	Guacamole client plugin supporting VNC
Name:		%{soname}
Version:	0.7.2
Release:	12.2
License:	MPLv1.1 or GPLv2 or LGPLv2.1
Group:		System Environment/Libraries
%if 0%{?suse_version}
BuildRequires:	cairo-devel, libguac4-devel, LibVNCServer-devel, libjpeg-devel
Requires:	cairo, LibVNCServer
%else
BuildRequires:	cairo-devel, libguac4-devel, libvncserver-devel, libjpeg-devel
Requires:	cairo, libvncserver
%endif
Source0:	%{pkgname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{pkgname}-%{version}-root

%description
This is a client plugin for Guacamole which supports VNC.

%package devel
Summary:        The vnc-client library (development headers)
Group:          Development/Libraries
Requires:       %{soname} = %{version}
%if 0%{?suse_version}
Requires:  cairo-devel, libguac4-devel, LibVNCServer-devel, libjpeg-devel
%else
Requires:  cairo-devel, libguac4-devel, libvncserver-devel, libjpeg-devel
%endif

%description devel
The development headers associated with the vnc-client library, libguac-client-vnc.

%prep
%setup -n %{pkgname}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=%{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%{_libdir}/*.so

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.la
%{_libdir}/*.a

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Sat Jun  1 2013 cs@linux-administrator.com
- update to release 0.7.2
* Sun Mar 24 2013 cs@linux-administrator.com
- update to release 0.7.1
* Tue Dec  4 2012 cs@linux-administrator.com
- update to release 0.7.0
* Fri Oct 19 2012 cs@linux-administrator.com
- update to 0.6.1
* Sun Sep 30 2012 cs@linux-administrator.com
- initial package
